org.eclipse.aether

## Class ConfigurationProperties

- java.lang.Object
- - org.eclipse.aether.ConfigurationProperties

-     public final class ConfigurationProperties
      extends Object

  The keys and defaults for common configuration properties.
  See Also:
    `RepositorySystemSession.getConfigProperties()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECT_TIMEOUT` The timeout (in milliseconds) to wait for a successful connection to a remote server.
    `static int` | `DEFAULT_CONNECT_TIMEOUT` The default connect timeout to use if `CONNECT_TIMEOUT` isn't set.
    `static String` | `DEFAULT_HTTP_CREDENTIAL_ENCODING` The default encoding/charset to use if `HTTP_CREDENTIAL_ENCODING` isn't set.
    `static boolean` | `DEFAULT_INTERACTIVE` The default interactive mode if `INTERACTIVE` isn't set.
    `static int` | `DEFAULT_REQUEST_TIMEOUT` The default request timeout to use if `REQUEST_TIMEOUT` isn't set.
    `static String` | `DEFAULT_USER_AGENT` The default user agent to use if `USER_AGENT` isn't set.
    `static String` | `HTTP_CREDENTIAL_ENCODING` The encoding/charset to use when exchanging credentials with HTTP servers.
    `static String` | `HTTP_HEADERS` The request headers to use for HTTP-based repository connectors.
    `static String` | `INTERACTIVE` A flag indicating whether interaction with the user is allowed.
    `static String` | `REQUEST_TIMEOUT` The timeout (in milliseconds) to wait for a response from a remote server.
    `static String` | `USER_AGENT` The user agent that repository connectors should report to servers.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTERACTIVE

          public static final String INTERACTIVE

      A flag indicating whether interaction with the user is allowed.
      See Also:
        `DEFAULT_INTERACTIVE`, Constant Field Values

    - #### DEFAULT_INTERACTIVE

          public static final boolean DEFAULT_INTERACTIVE

      The default interactive mode if `INTERACTIVE` isn't set.
      See Also:
        Constant Field Values

    - #### USER_AGENT

          public static final String USER_AGENT

      The user agent that repository connectors should report to servers.
      See Also:
        `DEFAULT_USER_AGENT`, Constant Field Values

    - #### DEFAULT_USER_AGENT

          public static final String DEFAULT_USER_AGENT

      The default user agent to use if `USER_AGENT` isn't set.
      See Also:
        Constant Field Values

    - #### CONNECT_TIMEOUT

          public static final String CONNECT_TIMEOUT

      The timeout (in milliseconds) to wait for a successful connection to a remote server. Non-positive values indicate no timeout.
      See Also:
        `DEFAULT_CONNECT_TIMEOUT`, Constant Field Values

    - #### DEFAULT_CONNECT_TIMEOUT

          public static final int DEFAULT_CONNECT_TIMEOUT

      The default connect timeout to use if `CONNECT_TIMEOUT` isn't set.
      See Also:
        Constant Field Values

    - #### REQUEST_TIMEOUT

          public static final String REQUEST_TIMEOUT

      The timeout (in milliseconds) to wait for a response from a remote server. Non-positive values indicate no timeout.
      See Also:
        `DEFAULT_REQUEST_TIMEOUT`, Constant Field Values

    - #### DEFAULT_REQUEST_TIMEOUT

          public static final int DEFAULT_REQUEST_TIMEOUT

      The default request timeout to use if `REQUEST_TIMEOUT` isn't set.
      See Also:
        Constant Field Values

    - #### HTTP_HEADERS

          public static final String HTTP_HEADERS

      The request headers to use for HTTP-based repository connectors. The headers are specified using a `Map<String, String>`, mapping a header name to its value. Besides this general key, clients may also specify headers for a specific remote repository by appending the suffix `.<repoId>` to this key when storing the headers map. The repository-specific headers map is supposed to be complete, i.e. is not merged with the general headers map.
      See Also:
        Constant Field Values

    - #### HTTP_CREDENTIAL_ENCODING

          public static final String HTTP_CREDENTIAL_ENCODING

      The encoding/charset to use when exchanging credentials with HTTP servers. Besides this general key, clients may also specify the encoding for a specific remote repository by appending the suffix `.<repoId>` to this key when storing the charset name.
      See Also:
        `DEFAULT_HTTP_CREDENTIAL_ENCODING`, Constant Field Values

    - #### DEFAULT_HTTP_CREDENTIAL_ENCODING

          public static final String DEFAULT_HTTP_CREDENTIAL_ENCODING

      The default encoding/charset to use if `HTTP_CREDENTIAL_ENCODING` isn't set.
      See Also:
        Constant Field Values

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.